Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class SystemLockObjectAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.SystemLockObjectAdmin

    public class SystemLockObjectAdmin

extends java.lang.Object

A SystemLockObjectAdminis a collection of SystemLockObject admin tasks.

(Unpublished)

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`SystemLockObjectAdmin(AdminManager main)` Construct a SystemLockObjectAdmin

Method Summary
`protected void` | `createSystemLockObject(LibrarySession sess, ParameterTable params)` Section variant of Create SystemLockObject
`protected void` | `createSystemLockObject(LibrarySession sess, SystemLockObjectDefinition def)` internal variant of Create SystemLockObject
`protected void` | `freeSystemLockObject(LibrarySession sess, ParameterTable params)` Section variant of Free SystemLockObject
`protected void` | `freeSystemLockObject(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free SystemLockObject
`protected SystemLockObject` | `lookupSystemLockObject(LibrarySession sess, java.lang.String name)` Lookup SystemLockObject by name
`protected void` | `modifySystemLockObject(LibrarySession sess, ParameterTable params)` Section variant of Modify SystemLockObject
`protected void` | `modifySystemLockObject(LibrarySession sess, java.lang.String name, SystemLockObjectDefinition slodef)` internal variant of Modify SystemLockObject
`void` | `showSystemLockObject(LibrarySession sess, ParameterTable params)` Section variant of showSystemLockObject
`void` | `showSystemLockObject(LibrarySession sess, java.lang.String sloName)` Inline/internal variant of showSystemLockObject
`void` | `showSystemLockObject(LibrarySession sess, SystemLockObject slo)` Show SystemLockObject by name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### SystemLockObjectAdmin

    public SystemLockObjectAdmin(AdminManager main)

  Construct a SystemLockObjectAdmin

  Parameters:
    `main` - Reference to AdminManager which invokes this.
  (Unpublished)

Method Detail

### createSystemLockObject

    protected void createSystemLockObject(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Section variant of Create SystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### createSystemLockObject

    protected void createSystemLockObject(LibrarySession sess,
                                          SystemLockObjectDefinition def)
                                   throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  internal variant of Create SystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### modifySystemLockObject

    protected void modifySystemLockObject(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Section variant of Modify SystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### modifySystemLockObject

    protected void modifySystemLockObject(LibrarySession sess,
                                          java.lang.String name,
                                          SystemLockObjectDefinition slodef)
                                   throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  internal variant of Modify SystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### freeSystemLockObject

    protected void freeSystemLockObject(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Section variant of Free SystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### freeSystemLockObject

    protected void freeSystemLockObject(LibrarySession sess,
                                        java.lang.String name)
                                 throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Inline/internal variant of Free SystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### showSystemLockObject

    public void showSystemLockObject(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Section variant of showSystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### showSystemLockObject

    public void showSystemLockObject(LibrarySession sess,
                                     java.lang.String sloName)
                              throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Inline/internal variant of showSystemLockObject

  Throws:
    `IfsException`
  (Unpublished)

### showSystemLockObject

    public void showSystemLockObject(LibrarySession sess,
                                     SystemLockObject slo)
                              throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Show SystemLockObject by name

  Throws:
    `IfsException`
  (Unpublished)

### lookupSystemLockObject

    protected SystemLockObject lookupSystemLockObject(LibrarySession sess,
                                                      java.lang.String name)
                                               throws IfsException

  Description copied from class: `SystemLockObjectAdmin`
  Lookup SystemLockObject by name

  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD